Katello - Bug #6675

When having capital letters in hosthame httpd service fails to start on Satellite 6 .

07/17/2014 02:26 PM - Bryan Kearney

Status: Closed
Priority: Normal
Assignee: Bryan Kearney
Category: Installer
Target version: Katello 2.0
Difficulty: easy Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1118810 Red Hat JIRA:
Pull request: https://github.com/Katello/katello-installer
/pull/86
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1118810
Description of problem:

When having capital letters in hostname httpd service on Satellite 6 fails to start.
Version-Release number of selected component (if applicable):

Satellite 6 Beta 6.0.3

How reproducible:

Always.

Steps to Reproduce:

1. Change hostname to have capital letters, like Example.satellite.com.

2. Run katello-installer.

3. Installation completes 100% with below messages,

1. katello-installer

/Stage[main]/Puppet::Server::Config/Exec[puppet_server_config-generate_ca_cert]: Failed to call refresh: /usr/bin/puppet cert

--generate VM42.gsslab.png.redhat.com returned 24 instead of one of [0]

/Stage[main]/Puppet::Server::Config/Exec[puppet_server_config-generate_ca_cert]: /ust/bin/puppet cert --generate

VM42.gsslab.png.redhat.com returned 24 instead of one of [0]

Could not start Service[httpd]: Execution of '/usr/share/katello-installer/modules/service_wait/bin/service-wait httpd start'

returned 1: Starting httpd: [FAILED]

/Stage[main]/Apache::Service/Service[httpd]/ensure: change from stopped to running failed: Could not start Service[httpd]:
Execution of '/usr/share/katello-installer/modules/service_wait/bin/service-wait httpd start' returned 1: Starting httpd: [FAILED]

/Stage[main]/Foreman::Database/Foreman::Rake[db:seed]/Exec[foreman-rake-db:seed]: Failed to call refresh:

/usr/sbin/foreman-rake db:seed returned 1 instead of one of [0]

/Stage[main]/Foreman::Database/Foreman::Rake[db:seed]/Exec[foreman-rake-db:seed]: /usr/sbin/foreman-rake db:seed

returned 1 instead of one of [0]

Installing Done [100%6] [1eevveemreearemreerreeniee e ]
Something went wrong! Check the log for ERROR-level output

The full log is at /var/log/katello-installer/katello-installer.log

4. Restarting httpd service shows below message,

1. service httpd restart
Stopping httpd: [FAILED]

Starting httpd: [Fri Jul 11 20:12:01 2014] [warn] module passenger_module is already loaded, skipping

Syntax error on line 37 of /etc/httpd/conf.d/25-puppet.conf:

SSLCertificateFile: file '/var/lib/puppet/ssl/certs/VM42.gsslab.png.redhat.com.pem’' does not exist or is empty

[FAILED]

Actual results:
Capital letters in hostname should work without any issue.
Expected results:

When having capital letters in hostaname httpd service fails to start.

Associated revisions

Revision d9d3ab98 - 07/17/2014 02:34 PM - Bryan Kearney

Fixes #6675: Verify that the hostname is all lowercase before starting the installation.

Revision 82510cac - 07/26/2014 08:40 AM - Eric Helms
Merge pull request #86 from bkearney/bkearney/6675

Fixes #6675: Verify that the hostname is all lowercase before starting t...

History

#1 - 07/22/2014 09:26 AM - Eric Helms
- Category set to Installer

- Assignee set to Bryan Kearney

- Target version set to 49

- Difficulty set to easy

- Triaged changed from No to Yes

#2 - 07/26/2014 08:40 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/katello-installer/pull/86 added
- Pull request deleted ()

#3 - 07/26/2014 09:01 AM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello-installer|d9d3ab985b9e6f3ba01766e85e045a8¢c65725040.

#4 - 08/22/2014 09:23 AM - Eric Helms

- translation missing: en.field_release set to 13
